Devices
List active devices
GET /v1/devices
Scope: devices:read
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | ||
limit | query | string | ||
status | query | "online" | "offline" |
Responses
| Status | Description |
|---|---|
200 | A page of devices. |
Fields of the 200 response:
| Field | Type | Required | Description |
|---|---|---|---|
data | object[] | yes | |
data[].id | string | yes | |
data[].name | string | yes | |
data[].groupId | string | null | yes | |
data[].os | string | yes | |
data[].arch | string | yes | |
data[].agentVersion | string | yes | |
data[].status | "online" | "offline" | yes | |
data[].activated | boolean | yes | |
data[].lastSeenAt | string | null | yes | |
data[].createdAt | string | yes | ISO 8601 date-time |
nextCursor | string | null | yes | Pass as ?cursor= for the next page |
curl "https://api.jodaprint.dev/v1/devices" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"
Get a device
GET /v1/devices/{id}
Scope: devices:read
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | The device. |
Fields of the 200 response:
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
name | string | yes | |
groupId | string | null | yes | |
os | string | yes | |
arch | string | yes | |
agentVersion | string | yes | |
status | "online" | "offline" | yes | |
activated | boolean | yes | |
lastSeenAt | string | null | yes | |
createdAt | string | yes | ISO 8601 date-time |
curl "https://api.jodaprint.dev/v1/devices/<id>" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"